/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.component.netty.http;

import java.util.HashMap;
import java.util.Map;

import org.apache.camel.test.AvailablePortFinder;
import org.apache.camel.test.junit5.EndpointUriFactoryTestSupport;

public class NettyHttpEndpointUriFactoryTest extends EndpointUriFactoryTestSupport {

    @Override
    protected String scheme() {
        return "netty-http";
    }

    @Override
    protected Map<String, Object> pathParameters() {
        Map<String, Object> params = new HashMap<>();
        params.put("protocol", "http");
        params.put("host", "localhost");
        params.put("port", AvailablePortFinder.getNextAvailable());
        params.put("path", "test");
        return params;
    }
}
